import { BuildResult } from 'esbuild';
import { O as Options, F as Format } from './options-202237a5';
export { F as Format, O as Options } from './options-202237a5';
import 'rollup';

/** Mark some properties as required, leaving others unchanged */
declare type MarkRequired<T, RK extends keyof T> = Exclude<T, RK> & Required<Pick<T, RK>>;

declare type NormalizedOptions = MarkRequired<Options, 'entryPoints' | 'format' | 'outDir'>;
declare const defineConfig: (options: Options) => Options;
declare function runEsbuild(options: NormalizedOptions, { format, css }: {
    format: Format;
    css?: Map<string, string>;
}): Promise<BuildResult | undefined>;
declare function build(_options: Options): Promise<void>;

export { NormalizedOptions, build, defineConfig, runEsbuild };
